/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *  Copyright 2010,2011 Adrià Giménez Pastor and Alfons Juan Císcar
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  get_priors.h - Funció que llig les probabilitats a priori d'un
 *                 fitxer.
 *
 *  Adrià Giménez Pastor, 2010,2011,2013.
 *
 */

#ifndef __GET_PRIORS_H__
#define __GET_PRIORS_H__

#include <libTLK/TLK.h>

tLPriors *
get_priors (
	    const char *fn,
	    tLLexicon  *lexicon,
	    tLBool      emptylex,
	    tLDict     *syms,
	    int         verbose
	    );

#endif /* __GET_PRIORS_H__ */
