/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *  Copyright 2009,2010,2011 Adrià Giménez Pastor and Alfons Juan Císcar
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  dgaussian.h - Gaussiana diagonal.
 *
 *  Adrià Giménez Pastor, 2009,2011,2013.
 *
 */

#ifndef __TL_PRV_INIT_UNIFORM_CI__DGAUSSIAN_H__
#define __TL_PRV_INIT_UNIFORM_CI__DGAUSSIAN_H__

#include "../init_uniform_ci.h"

tLUniHMMInitializer *
tL_create_init_uniform_hmm_aux_dgaussian (
					  const tLAModel *amodel
					  );

#endif /* __TL_PRV_INIT_UNIFORM_CI__DGAUSSIAN_H__ */
