/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *  Copyright 2009,2010,2011 Adrià Giménez Pastor and Alfons Juan Císcar
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  empty.h - Mètodes buits.
 *
 *  Adrià Giménez Pastor, 2009,2010,2011.
 *
 */

#ifndef __TL_PRV_STATESTR__EMPTY_H__
#define __TL_PRV_STATESTR__EMPTY_H__

#include "../statestr.h"

void
tL_empty_free_strf (
		    str_factory_t *strf
		    );

void
tL_empty_strf_add (
		   str_factory_t      *strf,
		   void               *states,
		   const unsigned int  Q
		   );

void
tL_empty_free_strvf (
		     strv_factory_t *strvf
		     );

void
tL_empty_strvf_add (
		    strv_factory_t     *strvf,
		    void               *states,
		    const unsigned int  Q
		    );

void
tL_empty_statestr_train_global_pseudoE (
					void        *global,
					const tLFea *fea,
					void        *maux
					);

void
tL_empty_statestr_train_global_pseudoM (
					void *global,
					void *cglobal,
					int   N,
					void *maux
					);

void
tL_empty_statestr_train_init_pseudoM (
				      void *global,
				      int   N,
				      void *maux
				      );

void
tL_empty_statestr_get_ready (
			     statestr_t  *statestr,
			     const tLFea *fea,
			     void        *global
			     );

void
tL_empty_statestrv_get_ready (
			      statestrv_t *statestrv,
			      const tLFea *fea,
			      void        *global
			      );


#endif /* __TL_PRV_STATESTR__EMPTY_H__ */
