/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  print_mixcounts.h - Funció que imprimeix els comptadors dels
 *                      coeficients de mixtura.
 *
 *  Adrià Giménez Pastor, 2012,2013.
 *
 */

#ifndef __PRINT_MIXCOUNTS_H__
#define __PRINT_MIXCOUNTS_H__

#include <libTLK/TLK.h>

void
print_mixcounts (
		 const char     *fn,
		 const tLAModel *amodel,
		 const tLDict   *syms,
		 tLAMlogCounts  *logcounts,
		 tLAMiCounts    *icounts,
		 const tLBool    viterbi
		 );

#endif /* __PRINT_MIXCOUNTS_H__ */
