#!/usr/bin/perl -w -ne

#
#  Copyright 2013,2014 transLectures-UPV Team
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#


print STDERR "."   

while (<STDIN>) {
next  if /ignore_time_segment_in_scoring/ ; 
@_=split;
($name , $nchannels, $speaker , $start , $end , $spkdef ) = splice (@_ , 0 , 6 ); 
$spkdef =~ s/[<>]//g ;
$spkdef =~ s/\W+/_/g ;
$name =~ s/\W+/_/g   ;
$speaker =~ s/\W+/_/g;
my $dir_out="$ENV{conf_PRJD}/samples/$spkdef/$speaker/$name/sp/";
`mkdir -p "$dir_out"`;
`$ENV{conf_SPH2PIPE} -t $start:$end "$ENV{audio}" -f rif  > "$dir_out/$start-$end.wav" ` ;
open (F, ">$dir_out/$start-$end.tr");
pop @_ if $_[$#_] =~ /^\(/ && /\)$/ ;
$_="@_\n"; 
print F; 
#print STDOUT "$spkdef/$speaker/$name\n";
close(F);
}
