#  Copyright 2013,2014 transLectures-UPV Team
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

[
    
    ('L_a','(^a-)'),
    ('L_@','(^@-)'),
    ('L_e','(^e-)'),
    ('L_E','(^E-)'),
    ('L_i','(^i-)'),
    ('L_o','(^o-)'),
    ('L_O','(^O-)'),
    ('L_u','(^u-)'),
    ('L_uw','(^uw-)'),
    
    ('R_a','([+]a$)'),
    ('R_@','([+]@$)'),
    ('R_e','([+]e$)'),
    ('R_E','([+]E$)'),
    ('R_i','([+]i$)'),
    ('R_o','([+]o$)'),
    ('R_O','([+]O$)'),
    ('R_u','([+]u$)'),
    ('R_uw','([+]uw$)'),

    ('L_b','(^b-)'),
    ('L_d','(^d-)'),
    ('L_D','(^D-)'),
    ('L_dz','(^dz-)'),
    ('L_dZ','(^dZ-)'),
    ('L_f','(^f-)'),
    ('L_g','(^g-)'),
    ('L_G','(^G-)'),
    ('L_j','(^j-)'),
    ('L_J','(^J-)'),
    ('L_k','(^k-)'),
    ('L_l','(^l-)'),
    ('L_L','(^L-)'),
    ('L_m','(^m-)'),
    ('L_n','(^n-)'),
    ('L_N','(^N-)'),
    ('L_p','(^p-)'),
    ('L_r','(^r-)'),
    ('L_rr','(^rr-)'),
    ('L_s','(^s-)'),
    ('L_S','(^S-)'),
    ('L_tS','(^tS-)'),
    ('L_v','(^v-)'),
    ('L_w','(^w-)'),
    ('L_y','(^y-)'),
    ('L_z','(^z-)'),
    ('L_Z','(^Z-)'),

		

    ('R_b','([+]b$)'),
    ('R_d','([+]d$)'),
    ('R_D','([+]D$)'),
    ('R_dz','([+]dz$)'),
    ('R_dZ','([+]dZ$)'),
    ('R_f','([+]f$)'),
    ('R_g','([+]g$)'),
    ('R_G','([+]G$)'),
    ('R_j','([+]j$)'),
    ('R_J','([+]J$)'),
    ('R_k','([+]k$)'),
    ('R_l','([+]l$)'),
    ('R_L','([+]L$)'),
    ('R_m','([+]m$)'),
    ('R_n','([+]n$)'),
    ('R_N','([+]N$)'),
    ('R_p','([+]p$)'),
    ('R_r','([+]r$)'),
    ('R_rr','([+]rr$)'),
    ('R_s','([+]s$)'),
    ('R_S','([+]S$)'),
    ('R_tS','([+]tS$)'),
    ('R_v','([+]v$)'),
    ('R_w','([+]w$)'),
    ('R_y','([+]y$)'),
    ('R_z','([+]z$)'),
    ('R_Z','([+]Z$)'),
    
    ('L_Ocl','(^p-)|(^b-)|(^t-)|(^d-)|(^k-)|(^g-)'),
    ('L_Nas','(^m-)|(^n-)|(^J-)|(^N-)'),
    ('L_Lat','(^l-)|(^L-)'),
    ('L_Vib','(^rr-)'),
    ('L_Bat','(^r-)'),
    ('L_Fri','(^S-)|(^Z-)|(^s-)|(^z-)'),
    ('L_Afr','(^ts-)|(^dZ-)|(^tS-)|(^dZ-)'),
    ('L_Apr','(^D-)|(^G-)'),

    ('R_Ocl','([+]p$)|([+]b$)|([+]t$)|([+]d$)|([+]k$)|([+]g$)'),
    ('R_Nas','([+]m$)|([+]n$)|([+]J$)|([+]N$)'),
    ('R_Lat','([+]l$)|([+]L$)'),
    ('R_Vib','([+]rr$)'),
    ('R_Bat','([+]r$)'),
    ('R_Fri','([+]S$)|([+]Z$)|([+]s$)|([+]z$)'),
    ('R_Afr','([+]ts$)|([+]dZ$)|([+]tS$)|([+]dZ$)'),
    ('R_Apr','([+]D$)|([+]G$)'),
    
    ('L_Bil','(^b-)|(^p-)'),
    ('L_Labd','(^f-)|(^v-)'),
    ('L_Den','(^d-)|(^t-)'),
    ('L_Alv','(^s-)|(^z-)|(^D-)|(^l-)|(^n-)|(^ts-)|(^dz-)'),
    ('L_Pal','(^S-)|(^Z-)|(^L-)|(^J-)|(^tS-)|(^dZ-)'),
    ('L_Vel','(^g-)|(^k-)|(^G-)|(^N-)'),
    
    ('R_Bil','([+]b$)|([+]p$)'),
    ('R_Labd','([+]f$)|([+]v$)'),
    ('R_Den','([+]d$)|([+]t$)'),
    ('R_Alv','([+]s$)|([+]z$)|([+]D$)|([+]l$)|([+]n$)|([+]ts$)|([+]dz$)'),
    ('R_Pal','([+]S$)|([+]Z$)|([+]L$)|([+]J$)|([+]tS$)|([+]dZ$)'),
    ('R_Vel','([+]g$)|([+]k$)|([+]G$)|([+]N$)')
    
    ]
