#  Copyright 2012,2013,2014 transLectures-UPV Team
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

[
    
    ('L_a','(^a-)'),
    ('L_b','(^b-)'),
    ('L_C','(^C-)'),
    ('L_d','(^d-)'),
    ('L_e','(^e-)'),
    ('L_f','(^f-)'),
    ('L_g','(^g-)'),
    ('L_h','(^h-)'),
    ('L_i','(^i-)'),
    ('L_k','(^k-)'),
    ('L_l','(^l-)'),
    ('L_m','(^m-)'),
    ('L_n','(^n-)'),
    ('L_o','(^o-)'),
    ('L_p','(^p-)'),
    ('L_r','(^r-)'),
    ('L_R','(^R-)'),
    ('L_s','(^s-)'),
    ('L_t','(^t-)'),
    ('L_u','(^u-)'),
    ('L_x','(^x-)'),
    ('L_y','(^y-)'),
    ('L_z','(^z-)'),
    
    ('L_Ocl','(^p-)|(^b-)|(^t-)|(^d-)|(^k-)|(^g-)'),
    ('L_Nas','(^m-)|(^n-)|(^h-)'),
    ('L_Lat','(^l-)|(^y-)'),
    ('L_Fri','(^f-)|(^x-)|(^s-)|(^z-)'),
    ('L_Vib','(^r-)|(^R-)'),
    ('L_Apr','(^b-)|(^d-)|(^g-)'),
    ('L_Afr','(^C-)'),
    
    ('R_a','([+]a$)'),
    ('R_b','([+]b$)'),
    ('R_C','([+]C$)'),
    ('R_d','([+]d$)'),
    ('R_e','([+]e$)'),
    ('R_f','([+]f$)'),
    ('R_g','([+]g$)'),
    ('R_h','([+]h$)'),
    ('R_i','([+]i$)'),
    ('R_k','([+]k$)'),
    ('R_l','([+]l$)'),
    ('R_m','([+]m$)'),
    ('R_n','([+]n$)'),
    ('R_o','([+]o$)'),
    ('R_p','([+]p$)'),
    ('R_r','([+]r$)'),
    ('R_R','([+]R$)'),
    ('R_s','([+]s$)'),
    ('R_t','([+]t$)'),
    ('R_u','([+]u$)'),
    ('R_x','([+]x$)'),
    ('R_y','([+]y$)'),
    ('R_z','([+]z$)'),
    
    ('R_Ocl','([+]p$)|([+]b$)|([+]t$)|([+]d$)|([+]k$)|([+]g$)'),
    ('R_Nas','([+]m$)|([+]n$)|([+]h$)'),
    ('R_Lat','([+]l$)|([+]y$)'),
    ('R_Fri','([+]f$)|([+]x$)|([+]s$)|([+]z$)'),
    ('R_Vib','([+]r$)|([+]R$)'),
    ('R_Apr','([+]b$)|([+]d$)|([+]g$)'),
    ('R_Afr','([+]C$)')

    ]
