/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *  Copyright 2011 Adrià Giménez Pastor and Alfons Juan Císcar
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  itiedstates.c - Implementació de 'tiedstates.h'.
 *
 *  Adrià Giménez Pastor, 2011,2013.
 *
 */

#include "itiedstates.h"

#define AMC_T unsigned long
#define AMC_0 0
#define AMC_P(name) i ## name
#define AMC_C
#include "tiedstates.h"
#undef AMC_H
#undef AMC_P
#undef AMC_0
#undef AMC_T
