/*
 *  Copyright 2013,2014 transLectures-UPV Team
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  hybrid.h - Used in an hybrid approach.
 *
 */

#ifndef __TL_PRV_AMODELS__HYBRID_H__
#define __TL_PRV_AMODELS__HYBRID_H__

#include "../amodel.h"
#include "../common.h"
#include "../text.h"


/* MACROS */

#define HYBRID_GLOBAL(ptr) ((hybrid_global_t *) (ptr))
#define HYBRID_STATE(ptr) ((hybrid_state_t *) (ptr))


/* TIPUS */

typedef unsigned int hybrid_state_t;

typedef struct
{
  
  unsigned int D;    /* Dimension */
  
} hybrid_global_t;


/* MÈTODES */

extern const tLAModelMethods tL_hybrid_methods;

#endif /* __TL_PRV_AMODELS__HYBRID_H__ */
