/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  loglinearb.h - Model log-lineal per a dades binàries.
 *
 *  Adrià Giménez Pastor, 2012.
 *
 */

#ifndef __TL_PRV_CALCELPROB__LOGLINEARB_H__
#define __TL_PRV_CALCELPROB__LOGLINEARB_H__

#include "../calcelprob.h"

calcelprob_t*
tL_alloc_loglinearb_calcelprob (
				void       *global,
				const int   flags,
				char      **err
				);

#endif /* __TL_PRV_CALCELPROB__LOGLINEARB_H__ */
