/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  check_is_mixture.h - Funció que diu si un model és de tipus
 *                       Mixture o TiedState Mixture.
 *
 *  Adrià Giménez Pastor, 2012.
 *
 */

#ifndef __TL_PRV_CHECK_IS_MIXTURE_H__
#define __TL_PRV_CHECK_IS_MIXTURE_H__

#include "amodel.h"
#include "common.h"

/* Per a indicar el tipus. */
enum {
  MIXTURE,
  TIEDSTATES
};

/* Si no és mixtura fica un missatge d'error indicant que deuria de
   ser-ho. */
tLBool
tL_check_is_mixture (
		     const tLAModel  *amodel,
		     int             *type,
		     char           **err
		     );

#endif /* __TL_PRV_CHECK_IS_MIXTURE__ */

