/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *  Copyright 2008,2009,2010,2011 Adrià Giménez Pastor and Alfons Juan Císcar
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  samples.h - Per a tractar amb les mostres.
 *
 *  Adrià Giménez Pastor, 2008,2009,2011.
 *
 */

#ifndef __TL_PRV_SAMPLES_H__
#define __TL_PRV_SAMPLES_H__

#include "samples_public.h"


/* FEATURES */

int **
tL_fea_get_sparse (
		   const tLFea *fea
		   );

typedef unsigned char bit;

#define B2b(PTR) ((bit *) (PTR))
#define B2cb(PTR) ((const bit *) (PTR))
#define B2R(PTR) ((float *) (PTR))
#define B2cR(PTR) ((const float *) (PTR))

#endif /* __TL_PRV_SAMPLES_H__ */
