/*
 *  Copyright 2012,2013,2014 transLectures-UPV Team
 *  Copyright 2011 Adrià Giménez Pastor and Alfons Juan Císcar
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 *  macros.h - Wrapper de les macros de la llibreria que també es
 *             gasten en el toolkit.
 *
 *  Adrià Giménez Pastor, 2011.
 *
 */

#ifndef __MACROS_H__
#define __MACROS_H__

/* Per les macros de resevera memòria. */
#include "libTLK/mem.h"

/* Per les macros de error. */
#include "libTLK/error.h"

/* Per la macro _PS i _DB. */
#include "libTLK/common.h"

#endif /* __MACROS_H__ */
